Subject: Re: Contributing with documentation/translation

From: Jean-Noël AVILA <[email-masked]>
Date: Sun, 05 May 2019 18:31:04 +0200

On Wednesday, 1 May 2019 22:35:45 CEST Jeff King wrote:
> On Wed, May 01, 2019 at 05:11:38PM +0700, Duy Nguyen wrote:
> 
> > On Wed, May 1, 2019 at 1:10 AM Priscila Gutierres
> > <[email-masked]> wrote:
> > >
> > > Hi
> > > I want to contribute to git by creating and/or translating
> > > documentation. Where may I find the info to do this?
> > 
> > For translation, you could start at po/README. That's mostly UI
> > translation. I think some team actually started document translation
> > too [1], but I don't know the status.
> 
> +cc Jean-Noel, who is working on this. It looks like translations will
> be done through Weblate:
> 
>   https://hosted.weblate.org/projects/git-manpages/translations/
> 
> There's some more discussion in:
> 
>   https://public-inbox.org/git/1992944.NOdEsaAZKb@cayenne/
> 
> There are also translations of the "Pro Git" book. This isn't strictly
> "Git documentation", but it is CC-licensed and we show it on
> git-scm.com. Details are at:
> 
>   https://github.com/progit/progit2/blob/master/TRANSLATING.md
> 
> -Peff
> 

Hi Priscila,

Peff has said it all. Depending on where you are on you way to learning about git, I would recommend:

* Starting with Progit for a gentle introduction to using git
* Translating git manpages for extensive knowledge of all git commands
* Translating git itself for indepth knowledge of how git works

The translation teams are welcoming to new contributors.

----
Jean-Noël